Plugin not loading

Discussion in 'Spigot Plugin Development' started by ChickenPillow, Jun 25, 2016.

  1. Basically I keep getting this error:


    Could not load 'plugins\/KitPvP - 0.4.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: version is not defined
    at org.bukkit.plugin.PluginDescriptionFile.loadMap(PluginDescriptionFile.java:906) ~[spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at org.bukkit.plugin.PluginDescriptionFile.(PluginDescriptionFile.java:232) ~[spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:159) ~[spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [spigot.jar:git-Spigot-db6de12-d3e0b6f]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_77]
    Caused by: java.lang.NullPointerException
    at org.bukkit.plugin.PluginDescriptionFile.loadMap(PluginDescriptionFile.java:904) ~[spigot.jar:git-Spigot-db6de12-d3e0b6f]
    ... 7 more

    this is my kitpvp plugin and it wont work, I dont know what the problem is, please help
     
  2.  
  3. Why did you create another thread 30 minutes after creating one... Do wait for at least a day I think before bumping or creating another thread, no one is online 24/7 to help you...

    Anyways, you are missing the version of the plugin (replied in your previous thread already)
     
  4. Look this is my plugin.yml:

    name: KitPvP
    main: me.ChickenPillow.main.Main
    author: ChickenPillow
    Version: 0.1
    commands:
    starter:
    description: This will give the player the starter kit.
    usage: /starter
    pro:
    description: This will give the player the amateur kit.
    usage: /pro

    still doesn't work
     
  5. Needs to be "version" not "Version"
     
  6. Yep just did that, thanks for all the help! Works fine!